Overview
--------

This charm deploys [juju
reports](http://launchpad.net/~jcsackett/+junk/jujureports), a tool to aggregate
and report statistics on the Juju project and related tools (e.g. unit tests,
usage numbers).

Usage
-----

You will need to have [Juju](http://juju.ubuntu.com) installed and a [Juju
Environment bootstrapped](https://juju.ubuntu.com/docs/getting-started.html).
To deploy juju-reports you will need a MongoDB instance in addition to
juju-reports:

    juju deploy mongodb --constraints instance-type=m1.small

Deploy Charmworld

    juju deploy cs:~jcsackett/charms/precise/juju-reports --constraints \
    instance-type=m1.small

Once deployed relate mongodb to juju-reports:

    juju add-relation juju-reports mongodb
